"use strict";

/**
 * @param {Object} obj
 * @param {string} path
 * @param {*} [defaultValue]
 * @returns {Object}
 */
module.exports = get;

function get(obj, path, defaultValue) {
  if (!obj || path == null || !path.length) return defaultValue;

  if (typeof path === 'string') {
    path = path.split('.');
  }

  var val = obj;
  var attr;

  while (val && (attr = path.shift()) != null) {
    val = val[attr];
  }

  return val === undefined ? defaultValue : val;
}