"use strict";

var isArrayLike = require("./isArrayLike.cjs");

module.exports = invokeMap;

function invokeMap(arr, fnc) {
  for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
    args[_key - 2] = arguments[_key];
  }

  if (!Array.isArray(arr)) {
    if (isArrayLike(arr)) {
      arr = Array.from(arr);
    } else {
      throw new Error('First argument must be an array or array like');
    }
  }

  arr.forEach(obj => {
    if (!obj || typeof obj[fnc] !== 'function') return;
    obj[fnc](...args);
  });
}