"use strict";

var isObject = require("./isObject.cjs");

module.exports = set;

function set(obj, path, value) {
  if (!obj || path == null || !path.length) return obj;

  if (typeof path === 'string') {
    path = path.split('.');
  }

  var attr;
  var ref = obj;

  while ((attr = path.shift()) != null) {
    if (path.length) {
      if (!isObject(ref[attr])) {
        ref[attr] = {};
      }

      ref = ref[attr];
    } else {
      ref[attr] = value;
    }
  }

  return obj;
}